Skip to content

List metafield definitions

View as Markdown
get /rest/api/metafield_definitions

Retrieves the collection of MetafieldDefinition resources.

Returns a paginated collection of metafield definitions in the current organization. Filter by ownerType to see the custom fields defined for a given resource.

Headers

NameTypeRequiredDescription
X-Flowkiwi-Organization-IdstringrequiredThe organization the request acts as. Determines the identity, permissions and ownership applied when reading or modifying data on the instance.

Query parameters

NameTypeRequiredDescription
pageinteger-The collection page number
itemsPerPageinteger-The number of items per page

Response

200 - MetafieldDefinition collection

PropertyTypeRequiredDescription
hydra:totalItemsinteger-
hydra:searchobject-
Show hydra:search fields
PropertyTypeRequiredDescription
@typestring-
hydra:templatestring-
hydra:variableRepresentationstring-
hydra:mappingobject[]-
Show hydra:mapping fields
PropertyTypeRequiredDescription
@typestring-
variablestring-
propertystring | null-
requiredboolean-
hydra:viewobject-
Show hydra:view fields
PropertyTypeRequiredDescription
@idstring-
@typestring-
hydra:firststring-
hydra:laststring-
hydra:previousstring-
hydra:nextstring-
hydra:memberMetafieldDefinition[]required
Show hydra:member fields
PropertyTypeRequiredDescription
@contextobject-
@idstringrequired
@typestringrequired
idstring-The resource's unique identifier (UUID).
namestring-The human-readable name of the metafield definition.
descriptionstring | null-The description of the metafield definition.
namespacestring-The container for a group of metafields that the metafield definition is associated with.
keystring-The unique identifier for the metafield definition within its namespace.
ownerTypestringrequiredThe resource type that the metafield definition is attached to.
typestringrequiredThe type of data that each of the metafields that belong to the metafield definition will store.
createdAtstring-The date and time when the resource was created (ISO 8601 format).
updatedAtstring-The date and time when the resource was last modified (ISO 8601 format).
validationsEmbeddedMetafieldDefinitionValidationResource[]-The validation rules applied to the values of metafields using this definition.
Show validations fields
PropertyTypeRequiredDescription
namestringrequiredThe type of validation rule
valuestringrequiredThe validation parameter value. Format depends on the validation type.
constraintsEmbeddedMetafieldDefinitionConstraintResource[]-The constraint rules scoping where this metafield definition applies (e.g. by category or channel).
Show constraints fields
PropertyTypeRequiredDescription
keystringrequiredThe type of constraint rule
valuesstring[]requiredArray of constraint values. Format depends on the constraint type.
metafieldsCountinteger-The count of the metafields that belong to the metafield definition.

Errors

403 - Access denied. The caller is missing one or more identity permissions required for this operation.

Content-Type: application/problem+json

PropertyTypeRequiredDescription
@contextobject-
@idstringrequired
@typestringrequired
typestring-
titlestring-
statusinteger-
detailstring-
missingPermissionsstring[]-Identity permissions that the caller is missing for this operation. Present only when the 403 is caused by a denied identity:* permission.